Bug 436696 - debuginfo-install: arch is ignored
debuginfo-install: arch is ignored
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 437414
  Show dependency treegraph
 
Reported: 2008-03-09 11:38 EDT by Jan Kratochvil
Modified: 2014-01-21 18:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-13 16:41:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix. (835 bytes, patch)
2008-03-09 11:38 EDT, Jan Kratochvil
no flags Details | Diff
Testing repository. (32.83 KB, application/octet-stream)
2008-03-09 11:39 EDT, Jan Kratochvil
no flags Details

  None (edit)
Description Jan Kratochvil 2008-03-09 11:38:43 EDT
Description of problem:
When trying to install using `debuginfo-install' all the available debuginfo
arches get installed while only the matching one should get installed.

Version-Release number of selected component (if applicable):
yum-3.2.12-3.fc9.noarch (Rawhide yum+rpm on F8)

How reproducible:
Always.

Steps to Reproduce:
1. Provide the test repository of dummy-{1,2}-0.fc8.{i386,x86_64} for yum.
2. Install dummy-1.0.fc8.x86_64.
3. rpm --qf '%{name}-%{version}-%{release}.%{arch}\n'  -qa 'dummy*'|sort
4. debuginfo-install --disablerepo='*' --enablerepo='dummy-*' dummy

Actual results:
# rpm --qf '%{name}-%{version}-%{release}.%{arch}\n'  -qa 'dummy*'|sort
dummy-1-0.fc8.x86_64
# debuginfo-install --disablerepo='*' --enablerepo='dummy-*' dummy
Loaded plugins: priorities, refresh-updatesd
dummy-2-debuginfo         100% |=========================|  951 B    00:00     
dummy-1                   100% |=========================|  951 B    00:00     
dummy-1-debuginfo         100% |=========================|  951 B    00:00     
dummy-2                   100% |=========================|  951 B    00:00     
...
--> Running transaction check
---> Package dummy-debuginfo.x86_64 0:1-0.fc8 set to be updated
---> Package dummy-debuginfo.i386 0:1-0.fc8 set to be updated
--> Finished Dependency Resolution

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 dummy-debuginfo         x86_64     1-0.fc8          dummy-1-debuginfo  4.8 k
 dummy-debuginfo         i386       1-0.fc8          dummy-1-debuginfo  5.0 k


Expected results:
# rpm --qf '%{name}-%{version}-%{release}.%{arch}\n'  -qa 'dummy*'|sort
dummy-1-0.fc8.x86_64
# debuginfo-install --disablerepo='*' --enablerepo='dummy-*' dummy
Loaded plugins: priorities, refresh-updatesd
dummy-2-debuginfo         100% |=========================|  951 B    00:00
dummy-1                   100% |=========================|  951 B    00:00
dummy-1-debuginfo         100% |=========================|  951 B    00:00
dummy-2                   100% |=========================|  951 B    00:00
...
--> Running transaction check
---> Package dummy-debuginfo.x86_64 0:1-0.fc8 set to be updated
--> Finished Dependency Resolution

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 dummy-debuginfo         x86_64     1-0.fc8          dummy-1-debuginfo  4.8 k


Additional info:
Comment 1 Jan Kratochvil 2008-03-09 11:38:43 EDT
Created attachment 297361 [details]
Fix.
Comment 2 Jan Kratochvil 2008-03-09 11:39:24 EDT
Created attachment 297362 [details]
Testing repository.
Comment 3 Seth Vidal 2008-03-12 12:54:19 EDT
YUMBUGDAY
Comment 4 Seth Vidal 2008-03-13 16:41:49 EDT
Jan, your patch makes sense to me - including it in yum-utils.


Note You need to log in before you can comment on or make changes to this bug.